/*
 *  File:		fatbits.h
 *  Function:	header for the fatbits editor
 *  Author:		Paul Elseth
 *				Copyright (c) 1991, Paul Elseth
 *
 *	Change History:
 *
 *		12/09/91	PBE		created
 */

#ifndef	__FATBITS__
#define	__FATBITS__

#ifndef	__EDITOR__
#include "editor.h"
#endif
#ifndef __EVENT__
#include <event.h>
#endif


void	FatClick(EventRecord *event);
void 	Pt2Pixel(short ox, short oy, IconData **dataH, Boolean inMask, short *x, short *y);
short	PickColor(short ox, short oy, IconData **dataH, Boolean inMask);
void	RedrawFat(IconData **dataH);
void	RedrawFat2(IconData **dataH);
short	CopyUndoIcon(IconData **dataH);
short	CopyOldIcon(IconData **dataH);
void	Dirty(IconData **dataH);

#endif	/* __FATBITS__ */
